/*
 * 文 件 名:  MeterObjType
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/8/12
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.enums;

/**
 * 计量类型
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/8/12]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public enum MeterObjType {
    /**
     * 区域
     */
    METER_AREA(1),

    /**
     * 设施
     */
    METER_FACS(2),

    /**
     * 设备
     */
    METER_DEVC(3),

    /**
     * 组织
     */
    METER_ORG(4);

    private int type;

    MeterObjType(int type) {
        this.type = type;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}